rootedDAG-class {ontoTools} | R Documentation

## Class "rootedDAG"

### Description

wraps a graph that can be shown to be a DAG and has a root (one node with no ancestor)

### Objects from the Class

Objects can be created by calls of the form `new("rootedDAG", ...)`. Does not extend graph but probably should.

### Slots

`root`:
  Object of class `"character"` name of root
`DAG`:
  Object of class `"graph"` DAG

### Methods

DAG
  `signature(x = "rootedDAG")`: extract the graph
getMatrix
  `signature(g = "rootedDAG", type = "character", mode = "character")`: Currently only 'child2parent' can be used for type, meaning that row corresponds to child, column corresponds to ancestor and mat[row,column] is 1 if node corresponding to row is a child of node corresponding to ancestor. Type can be 'sparse' (return sparse representation) or 'dense'.
root
  `signature(x = "rootedDAG")`: extract name of root

### Author(s)

VJ Carey <stvjc@channing.harvard.edu>

### Examples

[Package ontoTools version 1.12.1 Index]